> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Prices

> Retrieves all defined prices for a product



## OpenAPI

````yaml swagger.json get /products/{productId}/prices
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /products/{productId}/prices:
    get:
      summary: Get Product Prices
      description: Retrieves all defined prices for a product
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved product prices
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductPriceDetails'
        '400':
          description: Invalid product
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ProductPriceDetails:
      type: object
      properties:
        productId:
          type: string
        prices:
          type: array
          items:
            $ref: '#/components/schemas/ProductPrices'
        standardPrice:
          type: object
          additionalProperties:
            type: number
            nullable: true
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
      required:
        - productId
        - prices
        - standardPrice
        - properties
    ProductPrices:
      type: object
      properties:
        priceBookId:
          type: string
        priceBookName:
          type: string
        listPrice:
          type: object
          additionalProperties:
            type: number
            nullable: true
        standardPrice:
          type: object
          additionalProperties:
            type: number
            nullable: true
        adjustments:
          type: object
          additionalProperties:
            oneOf:
              - $ref: '#/components/schemas/PriceBookEntryAdjustment'
            nullable: true
      required:
        - priceBookId
        - priceBookName
        - listPrice
        - standardPrice
        - adjustments
    PriceBookEntryAdjustment:
      oneOf:
        - $ref: '#/components/schemas/OverrideAdjustment'
        - $ref: '#/components/schemas/PercentAdjustment'
        - $ref: '#/components/schemas/VolumeAdjustment'
        - $ref: '#/components/schemas/TableEnumAdjustment'
        - $ref: '#/components/schemas/TableRangeAdjustment'
        - $ref: '#/components/schemas/VariantAdjustment'
    OverrideAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - override
            amount:
              type: number
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - amount
    PercentAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - percent
            amount:
              type: number
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - amount
    VolumeAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - volume
            tiers:
              type: array
              items:
                type: object
                properties:
                  firstUnit:
                    type: number
                  lastUnit:
                    type: number
                    nullable: true
                  unitPrice:
                    type: number
                required:
                  - firstUnit
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - tiers
    TableEnumAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - enum
            property:
              type: string
            values:
              type: array
              items:
                type: object
                properties:
                  value:
                    type: string
                  unitPrice:
                    type: number
                required:
                  - value
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - property
            - values
    TableRangeAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - range
            property:
              type: string
            values:
              type: array
              items:
                type: object
                properties:
                  firstUnit:
                    type: number
                  lastUnit:
                    type: number
                  unitPrice:
                    type: number
                required:
                  - firstUnit
                  - lastUnit
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - property
            - values
    VariantAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - variant
            values:
              type: array
              items:
                type: object
                properties:
                  value:
                    type: string
                  unitPrice:
                    type: number
                required:
                  - value
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - values
    PriceAdjustmentBase:
      type: object
      properties:
        type:
          type: string
          nullable: true
      required:
        - type
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````